Page MenuHomePhabricator

Transactions - deploy buildTransactionTimeline against a few more applications
ClosedPublic

Authored by btrahan on Dec 2 2014, 10:24 PM.
Tags
None
Attached Files
F10753902: D10921.diff
Tue, May 24, 3:51 PM
Unknown Object (File)
Apr 16 2017, 10:25 PM
Unknown Object (File)
Feb 16 2017, 10:25 AM
Unknown Object (File)
Feb 16 2017, 10:25 AM
Unknown Object (File)
Feb 16 2017, 10:25 AM
Unknown Object (File)
Feb 16 2017, 10:25 AM
Unknown Object (File)
Feb 14 2017, 1:48 AM
Unknown Object (File)
Jan 20 2017, 9:15 PM
Subscribers

Details

Summary

Ref T4712. Thus far, it seems that most "non-standard" things can be done pretty easily in the controller. Aside from deploying, this diff had to fix a few bugs / missing implementations of stuff.

(Notably, PhabricatorAuthProviderConfig, HeraldRule, PhabricatorSlowvotePoll, and AlmanacNetwork needed to implement PhabricatorApplicationTransactionInterface, PhabricatorAuthAuthProviderPHIDType had to be added, and a rendering bug in transactions of type PhabricatorOAuth2AuthProvider had to be fixed.)

Test Plan

Almanac - looked at binding, device, network, and service view controllers and verified timeline displayed properly. Herald - looked at a rule and verified timeline. Slowvote - looked at a vote and verified timeline. Auth - looked at an auth provider (Facebook) and verified proper display of transactions within timeline.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

btrahan retitled this revision from to Transactiona - deploy buildTransactionTimeline against a few more applications.
btrahan updated this object.
btrahan edited the test plan for this revision. (Show Details)
btrahan added a reviewer: epriestley.
epriestley edited edge metadata.

Nice, this all looks good to me.

src/applications/auth/controller/config/PhabricatorAuthEditController.php
314–315

(This should be unnecessary, I think, since they're the same objects.)

This revision is now accepted and ready to land.Dec 2 2014, 10:27 PM
btrahan retitled this revision from Transactiona - deploy buildTransactionTimeline against a few more applications to Transactions - deploy buildTransactionTimeline against a few more applications.Dec 2 2014, 10:30 PM
btrahan edited edge metadata.
  • lose unnecessary setTransactions() call
  • stuff I thought was in the first diff but I guess isn't:
    • remove deprecated AUTH constant
    • fix a typo on getTransactions (was missing an s)
This revision was automatically updated to reflect the committed changes.